# Gimp.Gradient.segment_get_middle_pos

    @accepts(Gimp.Gradient, int, float)
    @returns(bool)
    def segment_get_middle_pos(self, segment, pos):
        # Python wrapper for gimp_gradient_segment_get_middle_pos()

Gets the midpoint position of the segment

Gets the position of the midpoint of the segment of the gradient. Returns an error when the segment index is out of range.

Since 2.2

self

  The gradient.

segment

  The index of a segment within the gradient.

pos

  The return position.

Returns